Package org.kie.api.executor

## Interface ExecutorStoreService

-     public interface ExecutorStoreService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ErrorInfo` | `findError​(Long id)` |
    `RequestInfo` | `findRequest​(Long id)` |
    `List<RequestInfo>` | `loadRequests()` |
    `List<RequestInfo>` | `loadRequestsOlderThan​(long olderThan)` | load request that the scheduled timer are older that a certain amount in time units time
    `void` | `persistError​(ErrorInfo error)` |
    `void` | `persistRequest​(RequestInfo request, Consumer<Object> function)` |
    `ErrorInfo` | `removeError​(Long errorId)` |
    `RequestInfo` | `removeRequest​(Long requestId, Consumer<Object> function)` |
    `void` | `updateError​(ErrorInfo error)` |
    `void` | `updateRequest​(RequestInfo request, Consumer<Object> function)` |

- - ### Method Detail

    - #### persistRequest

          void persistRequest​(RequestInfo request,
                              Consumer<Object> function)

    - #### updateRequest

          void updateRequest​(RequestInfo request,
                             Consumer<Object> function)

    - #### removeRequest

          RequestInfo removeRequest​(Long requestId,
                                    Consumer<Object> function)

    - #### findRequest

          RequestInfo findRequest​(Long id)

    - #### loadRequests

          List<RequestInfo> loadRequests()

    - #### loadRequestsOlderThan

          List<RequestInfo> loadRequestsOlderThan​(long olderThan)

      load request that the scheduled timer are older that a certain amount in time units time
      Parameters:
        `olderThan` -
      Returns:
        a list of jobs overdue by certain amount of time

    - #### persistError

          void persistError​(ErrorInfo error)

    - #### updateError

          void updateError​(ErrorInfo error)

    - #### removeError

          ErrorInfo removeError​(Long errorId)

    - #### findError

          ErrorInfo findError​(Long id)